<?php
# ***** BEGIN LICENSE BLOCK *****
# This is Contact, a plugin for DotClear. 
# Copyright (c) 2005 k-net. All rights reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$_menu['Plugins']->addItem(__('Custom Code'),'plugin.php?p='.customCode::pluginDir.'','index.php?pf='.customCode::pluginDir.'/icon.png',
		preg_match('/plugin.php\?p='.customCode::pluginDir.'(&.*)?$/',$_SERVER['REQUEST_URI']),
		$core->auth->check('usage,contentadmin',$core->blog->id));

class customCodeAdmin
{
	public static function autoEditCore_isInstalled() {
		global $core;
		
		$tpl_file = DC_ROOT.'/inc/public/lib.urlhandlers.php';
		
		if (file_exists($tpl_file) && is_writable($tpl_file)) {
			$fcontent = file_get_contents($tpl_file);
			
			if (FALSE !== strpos($fcontent, '/* Added by the customCode plugin installation */$content = customCode::customCodeTransform($content);/* End of the added code */')) {
			return true;
			}
			return false;
		}
		return null;
	}
	public static function autoEditCore_install() {
		global $core;
		
		$tpl_file = DC_ROOT.'/inc/public/lib.urlhandlers.php';
		
		if (file_exists($tpl_file) && is_writable($tpl_file)) {
			$fcontent = file_get_contents($tpl_file);
			
			if (FALSE !== strpos($fcontent, '$content = $GLOBALS[\'core\']->HTMLfilter($content);')) {
				$fcontent = str_replace(
					'$content = $GLOBALS[\'core\']->HTMLfilter($content);',
					'$content = $GLOBALS[\'core\']->HTMLfilter($content);/* Added by the customCode plugin installation */$content = customCode::customCodeTransform($content);/* End of the added code */',
					$fcontent);
				file_put_contents($tpl_file, $fcontent);
				return true;
			}
		}
		return false;
	}
	public static function autoEditCore_uninstall() {
		global $core;
		
		$tpl_file = DC_ROOT.'/inc/public/lib.urlhandlers.php';
		
		if (file_exists($tpl_file) && is_writable($tpl_file)) {
			$fcontent = file_get_contents($tpl_file);
			
			if (FALSE !== strpos($fcontent, '/* Added by the customCode plugin installation */$content = customCode::customCodeTransform($content);/* End of the added code */')) {
				$fcontent = str_replace(
					'/* Added by the customCode plugin installation */$content = customCode::customCodeTransform($content);/* End of the added code */',
					'',
					$fcontent);
				file_put_contents($tpl_file, $fcontent);
				return true;
			}
		}
		return false;
	}
	
	public static function autoEditTpl_isInstalled($theme = '') {
		global $core;
		
		if (!empty($theme)) {
			$tpl_file = $core->blog->themes_path.'/'.$theme.'/post.html';
			
			if (file_exists($tpl_file) && is_writable($tpl_file)) {
				$fcontent = file_get_contents($tpl_file);
				
				if (FALSE !== strpos($fcontent, '{{tpl:CustomCodeToolbar textarea="c_content"}}')) {
					return true;
				}
				return false;
			}
		}
		return null;
	}
	public static function autoEditTpl_install($theme = '') {
		global $core;
		
		if (!empty($theme)) {
			$tpl_file = $core->blog->themes_path.'/'.$theme.'/post.html';
			
			if (file_exists($tpl_file) && is_writable($tpl_file)) {
				$fcontent = file_get_contents($tpl_file);
				
				if (FALSE !== strpos($fcontent, '<p class="field"><label for="c_content">')) {
					$fcontent = str_replace(
						'<p class="field"><label for="c_content">',
						'{{tpl:CustomCodeToolbar textarea="c_content"}}<p class="field"><label for="c_content">',
						$fcontent);
					file_put_contents($tpl_file, $fcontent);
					return true;
				}
			}
		}
		return false;
	}
	public static function autoEditTpl_uninstall($theme = '') {
		global $core;
		
		if (!empty($theme)) {
			$tpl_file = $core->blog->themes_path.'/'.$theme.'/post.html';
			
			if (file_exists($tpl_file) && is_writable($tpl_file)) {
				$fcontent = file_get_contents($tpl_file);
				
				if (FALSE !== strpos($fcontent, '{{tpl:CustomCodeToolbar textarea="c_content"}}')) {
					$fcontent = str_replace(
						'{{tpl:CustomCodeToolbar textarea="c_content"}}',
						'',
						$fcontent);
					file_put_contents($tpl_file, $fcontent);
					return true;
				}
			}
		}
		return false;
	}
}

?>